Get Movie
Get a movie’s details and artwork.
GET https://api.mediux.io/movies/{movieId}
Response format, pagination and caching.
Response examples
Section titled “Response examples”Movie with collection and grouped assets
Section titled “Movie with collection and grouped assets”Status: 200 OK
Response headers:
content-type: application/json; charset=utf-8{ "data": { "id": 603, "kind": "movie", "title": "The Matrix", "overview": "A computer hacker learns the truth about reality.", "tagline": "Welcome to the Real World.", "status": "released", "releaseDate": "1999-03-31", "runtimeMinutes": 136, "filmedForImax": false, "metadataImages": { "poster": "https://images.mediux.io/metadata/movies/603/poster.webp", "backdrop": null, "logo": "https://images.mediux.io/metadata/movies/603/logo.webp" }, "assets": { "posters": [], "backdrops": [], "logos": [], "squareArts": [], "thumbs": [] }, "collection": { "id": 10, "kind": "collection", "title": "The Matrix Collection" } }}Movie not found
Section titled “Movie not found”Status: 404 Not Found
Response headers:
content-type: application/json; charset=utf-8{ "data": null, "error": { "code": "not_found", "message": "The requested resource was not found." }}